package com.yuchen.saas.park.service.service.door;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.door.DoorUserGroupDTO;
import com.yuchen.saas.park.api.entity.door.*;
import com.yuchen.saas.park.api.vo.door.DoorUserGroupVO;
import com.yuchen.saas.park.api.vo.door.DoorUserVO;
import org.nest.springwrap.core.mp.support.NestPage;

import java.util.List;

/**
 * <p>
 * 人员分组 服务类
 * </p>
 *
 * @author miaoqs
 * @since 2023-12-21
 */
public interface DoorUserGroupService extends IService<DoorUserGroup> {

    boolean saveOrUpdateByParam(DoorUserGroupDTO doorUserGroupDTO);

    DoorUserGroupVO detailById(Long id);

    String deleteById(Long id) throws Exception;

    String batchRemoveId(List<Long> idList) throws Exception;

    NestPage<DoorUserVO> infoUserPage(PageUserGroupReqDTO req);


    boolean infoBatchRemoveId(List<Long> idList);

    List<DoorUserGroup> listByparam(DoorUserGroup doorUserGroup);
}
